org.apache.poi.hssf.record

## Class VerticalPageBreakRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.PageBreakRecord
        - - org.apache.poi.hssf.record.VerticalPageBreakRecord

- All Implemented Interfaces:
    Duplicatable

      public final class VerticalPageBreakRecord
      extends PageBreakRecord

  VerticalPageBreak (0x001A) record that stores page breaks at columns
  See Also:
    `PageBreakRecord`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hssf.record.PageBreakRecord

      `PageBreakRecord.Break`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerticalPageBreakRecord()` Creates an empty vertical page break record
    `VerticalPageBreakRecord(RecordInputStream in)`
    `VerticalPageBreakRecord(VerticalPageBreakRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `VerticalPageBreakRecord` | `clone()` Deprecated.
    `VerticalPageBreakRecord` | `copy()`
    `short` | `getSid()` return the non static version of the id for this record.

    - ### Methods inherited from class org.apache.poi.hssf.record.PageBreakRecord

      `addBreak, getBreak, getBreaks, getBreaksIterator, getDataSize, getNumBreaks, isEmpty, removeBreak, serialize, toString`

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VerticalPageBreakRecord

          public VerticalPageBreakRecord()

      Creates an empty vertical page break record

    - #### VerticalPageBreakRecord

          public VerticalPageBreakRecord(VerticalPageBreakRecord other)

    - #### VerticalPageBreakRecord

          public VerticalPageBreakRecord(RecordInputStream in)

      Parameters:
        `in` - the RecordInputstream to read the record from

  - ### Method Detail

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public VerticalPageBreakRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public VerticalPageBreakRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `PageBreakRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.